# Interface QApplicationBuilderType

public interface QApplicationBuilderType
An application builder.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QApplicationBuilderType`
  `addCommand(QCommandType command)`
  Add a command.
  `QApplicationBuilderType`
  `allowAtSyntax(boolean enabled)`
  Enable or disable @ syntax processing.
  `QApplicationType`
  `build()`
  `QApplicationCommandGroupBuilderType`
  `createCommandGroup(QCommandMetadata metadata)`
  Create a new command group.
  `QApplicationBuilderType`
  `setApplicationResources(ResourceBundle resources)`
  Set the application resources that will be used.
  `QApplicationBuilderType`
  `setInternalResources(ResourceBundle resources)`
  Set the internal resources that will be used.
  `QApplicationBuilderType`
  `setOutput(PrintWriter writer)`
  Set the output that will be used when executing commands.
  `QApplicationBuilderType`
  `setValueConverters(QValueConverterDirectoryType converters)`
  Set the value converters that will be used.

- ## Method Details

  - ### setValueConverters

    QApplicationBuilderType setValueConverters(QValueConverterDirectoryType converters)
    Set the value converters that will be used.
    Parameters:
      `converters` - The converters
    Returns:
      this

  - ### setOutput

    QApplicationBuilderType setOutput(PrintWriter writer)
    Set the output that will be used when executing commands.
    Parameters:
      `writer` - The writer
    Returns:
      this

  - ### setApplicationResources

    QApplicationBuilderType setApplicationResources(ResourceBundle resources)
    Set the application resources that will be used.
    Parameters:
      `resources` - The resources
    Returns:
      this

  - ### setInternalResources

    QApplicationBuilderType setInternalResources(ResourceBundle resources)
    Set the internal resources that will be used.
    Parameters:
      `resources` - The resources
    Returns:
      this

  - ### createCommandGroup

    QApplicationCommandGroupBuilderType createCommandGroup(QCommandMetadata metadata)
    Create a new command group.
    Parameters:
      `metadata` - The metadata
    Returns:
      this

  - ### addCommand

    QApplicationBuilderType addCommand(QCommandType command)
    Add a command.
    Parameters:
      `command` - The command
    Returns:
      this

  - ### allowAtSyntax

    QApplicationBuilderType allowAtSyntax(boolean enabled)
    Enable or disable @ syntax processing.
    Parameters:
      `enabled` - `true` if @ syntax processing is enabled
    Returns:
      this

  - ### build

    QApplicationType build()
    Returns:
      The immutable application